/**
 * author: dabao
 */
var VUE = null
window.addEventListener("load", function() {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				addBtnText: '新增',
				value: '',
				list: [],
				loading: false,
				finished: false,
				page: 0,
				size: 10,
				total: 0
			}
		},
		mounted() {
			this.getList()
		},
		methods: {
			exportFile(item){
				http.downloadFile('/api/thHiddenDanger/exportWord',{
					id: item.hdId,
					fileType: 'application/msword;charset=UTF-8',
					fileName: 'YH-'+ gemhoUtil.getTargetDateYMD().replaceAll('-', '') +'.docx'
				}).then((res)=>{
					vant.Toast({
						message: '操作成功',
					})
					this.loading = false; // 加载状态结束
				})
			},
			del(item, index){
				console.log(item)
				vant.Dialog.confirm({
				  title: '信息提示',
				  message: '此操作将删除所选项，确认删除？',
				})
				  .then(() => {
					http.delete('/api/thHiddenDanger',{
						id: [item.hdId]
					}).then((res)=>{
						vant.Toast({
							message: '操作成功',
						})
						this.list.splice(index, 1);
						this.loading = false; // 加载状态结束
					})
					
				  })
				  .catch(() => {
				    // on cancel
				  });
			},
			nav(item){
				// location.h                                                                                                                                                                                                                                                                                                                                   ref='./yh-list.html'
			},
			add(){
				gemhoUtil.navigatePage('./yh-list-detail.html?companyId='+gemhoUtil.getParameter('companyId')+'&type=add')
			},
			detail(item){
				gemhoUtil.navigatePage('./yh-list-detail.html?companyId='+gemhoUtil.getParameter('companyId')+'&hdId='+item.hdId+'&type=detail')
			},
			edit(item){
				gemhoUtil.navigatePage('./yh-list-detail.html?companyId='+gemhoUtil.getParameter('companyId')+'&hdId='+item.hdId+'&type=edit')
			},
			getList(){
				http.get('/api/thHiddenDanger',{
					page: this.page++,// 每次请求增加下一页
					size: this.size,
					companyId: gemhoUtil.getParameter('companyId'),
					county: localStorage.getItem('appCounty'),
					sort: 'hdId,desc',
				}).then((res)=>{
					
					this.loading = false; // 加载状态结束
					
					console.log('响应结果', res.content)
					this.list.push(...res.content);
					this.total = res.totalElements
					console.log('响应结果list', this.list)
					
					console.log('响应结果totalElements', res.totalElements)
					if(this.page*this.size >= this.total){
						 this.finished = true; // 下滑不在刷新数据
					}
				})
				
			}
		},
	});
});