/**
 * author: dabao
 */
var VUE = null
window.addEventListener("load", function() {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				form: {
					
					enterpriseSubmitsTheRectificationDate: '',//2024-03-08 00:00:00',
					// 检查人员
					hdInspectExpert: '',//'发发发',
					// 发现问题
					comment: '',//'隐患描述',
					// 检查依据
					basis: '',//'测试依据',
					// 隐患整改建议
					verifyStatus: '',
					// 隐患整改日期
					hdRectificationDate: '',//'2024-03-08',
					// 隐患整改图片
					hdRectificationPic: '',
					hdPic: '',
					// 审核人
					reviewer: "",
					recEvaluation: '',
					verifyStatusString: '', // 审核状态
				},
				// 企业id
				// companyId: localStorage.getItem('companyId'),
				editAble: false,
			}
		},
		mounted() {
			this.detail()
		},

		methods: {
			 // 整改后照片
			transferUrl(hdRectificationPic) {
			  console.log(hdRectificationPic);
			  if (hdRectificationPic) {
				return (
				  axios.defaults.baseURL +
				  "/hd_rectification_pic_to_verify/" +
				  hdRectificationPic.split("\\hd_rectification_pic_to_verify\\")[1]
				);
			  } else {
				return null;
			  }
			},
			detail(){
				var id = gemhoUtil.getParameter('id')
				http.get('/api/hiddenDangerToVerify', {
					page: 0, // 每次请求增加下一页
					size: 1,
					county: localStorage.getItem('appCounty'),
					id,
					// enName: this.companyName,
					sort: 'verify_status,asc',
				}).then((res) => {
					this.loading = false; // 加载状态结束
					this.form = res.content[0]
					this.form.hdRectificationPic = this.transferUrl(this.form.hdRectificationPic)
				})
			},
		},
	});
});